Project

General

Profile

Bug #39990

mgr/dashboard: test failure when running the backend-api-tests-script locally: test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest)

Added by Laura Paduano 4 months ago. Updated 2 months ago.

Status:
Need Review
Priority:
Normal
Category:
dashboard/qa
Target version:
-
Start date:
05/21/2019
Due date:
% Done:

0%

Source:
Q/A
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:

Description

2019-05-21 09:45:26,729.729 INFO:__main__:Running ['./bin/ceph', 'status', '--format=json-pretty']
2019-05-21 09:45:27,274.274 INFO:tasks.mgr.mgr_test_case:Restarted after module load (new active y/8232)
2019-05-21 09:45:27,278.278 INFO:__main__:Running ['./bin/ceph', 'mgr', 'self-test', 'module', 'zabbix']
2019-05-21 09:45:27.461 7fd12a1ac700 -1 WARNING: all dangerous and experimental features are enabled.
2019-05-21 09:45:27.517 7fd128f4a700 -1 WARNING: all dangerous and experimental features are enabled.
Error EINVAL: Traceback (most recent call last):
  File "/ceph/src/pybind/mgr/selftest/module.py", line 143, in handle_command
    r = self.remote(command['module'], "self_test")
  File "/ceph/src/pybind/mgr/mgr_module.py", line 1247, in remote
    args, kwargs)
RuntimeError: Remote method threw exception: KeyError:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/ceph/src/pybind/mgr/mgr_module.py", line 889, in _handle_command
    return self.handle_command(inbuf, cmd)
  File "/ceph/src/pybind/mgr/selftest/module.py", line 145, in handle_command
    return -1, '', "Test failed: {0}".format(e.message)
AttributeError: 'RuntimeError' object has no attribute 'message'

2019-05-21 09:45:27,802.802 INFO:__main__:test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest) ... ERROR
2019-05-21 09:45:27,803.803 INFO:__main__:Running ['./bin/ceph', 'log', 'Ended test tasks.mgr.test_module_selftest.TestModuleSelftest.test_zabbix']
2019-05-21 09:45:29,357.357 INFO:__main__:Stopped test: test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest) in 39.111215s
2019-05-21 09:45:29,358.358 INFO:__main__:
2019-05-21 09:45:29,359.359 INFO:__main__:======================================================================
2019-05-21 09:45:29,359.359 INFO:__main__:ERROR: test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest)
2019-05-21 09:45:29,359.359 INFO:__main__:----------------------------------------------------------------------
2019-05-21 09:45:29,359.359 INFO:__main__:Traceback (most recent call last):
2019-05-21 09:45:29,359.359 INFO:__main__:  File "/ceph/qa/tasks/mgr/test_module_selftest.py", line 41, in test_zabbix
2019-05-21 09:45:29,359.359 INFO:__main__:    self._selftest_plugin("zabbix")
2019-05-21 09:45:29,360.360 INFO:__main__:  File "/ceph/qa/tasks/mgr/test_module_selftest.py", line 34, in _selftest_plugin
2019-05-21 09:45:29,360.360 INFO:__main__:    "mgr", "self-test", "module", module_name)
2019-05-21 09:45:29,360.360 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 696, in raw_cluster_cmd
2019-05-21 09:45:29,360.360 INFO:__main__:    proc = self.controller.run([os.path.join(BIN_PREFIX, "ceph")] + list(args), **kwargs)
2019-05-21 09:45:29,360.360 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 342, in run
2019-05-21 09:45:29,361.361 INFO:__main__:    proc.wait()
2019-05-21 09:45:29,361.361 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 179, in wait
2019-05-21 09:45:29,361.361 INFO:__main__:    raise CommandFailedError(self.args, self.exitstatus)
2019-05-21 09:45:29,368.368 INFO:__main__:CommandFailedError: Command failed with status 22: ['./bin/ceph', 'mgr', 'self-test', 'module', 'zabbix']
2019-05-21 09:45:29,369.369 INFO:__main__:
2019-05-21 09:45:29,369.369 INFO:__main__:----------------------------------------------------------------------
2019-05-21 09:45:29,369.369 INFO:__main__:Ran 18 tests in 867.324s
2019-05-21 09:45:29,370.370 INFO:__main__:
2019-05-21 09:45:29,370.370 INFO:__main__:FAILED (errors=1)
2019-05-21 09:45:29,370.370 INFO:__main__:
2019-05-21 09:45:29,370.370 INFO:__main__:======================================================================
2019-05-21 09:45:29,371.371 INFO:__main__:ERROR: test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest)
2019-05-21 09:45:29,371.371 INFO:__main__:----------------------------------------------------------------------
2019-05-21 09:45:29,371.371 INFO:__main__:Traceback (most recent call last):
2019-05-21 09:45:29,371.371 INFO:__main__:  File "/ceph/qa/tasks/mgr/test_module_selftest.py", line 41, in test_zabbix
2019-05-21 09:45:29,372.372 INFO:__main__:    self._selftest_plugin("zabbix")
2019-05-21 09:45:29,372.372 INFO:__main__:  File "/ceph/qa/tasks/mgr/test_module_selftest.py", line 34, in _selftest_plugin
2019-05-21 09:45:29,372.372 INFO:__main__:    "mgr", "self-test", "module", module_name)
2019-05-21 09:45:29,372.372 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 696, in raw_cluster_cmd
2019-05-21 09:45:29,373.373 INFO:__main__:    proc = self.controller.run([os.path.join(BIN_PREFIX, "ceph")] + list(args), **kwargs)
2019-05-21 09:45:29,373.373 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 342, in run
2019-05-21 09:45:29,373.373 INFO:__main__:    proc.wait()
2019-05-21 09:45:29,373.373 INFO:__main__:  File "../qa/tasks/vstart_runner.py", line 179, in wait
2019-05-21 09:45:29,374.374 INFO:__main__:    raise CommandFailedError(self.args, self.exitstatus)
2019-05-21 09:45:29,374.374 INFO:__main__:CommandFailedError: Command failed with status 22: ['./bin/ceph', 'mgr', 'self-test', 'module', 'zabbix']

ceph-mgr-log.txt View (63.2 KB) Laura Paduano, 05/21/2019 11:51 AM


Related issues

Duplicates mgr - Bug #39644: mgr/zabbix: ERROR: test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest) Pending Backport 05/09/2019

History

#1 Updated by Laura Paduano 4 months ago

  • Description updated (diff)

#2 Updated by Laura Paduano 4 months ago

#3 Updated by Laura Paduano 4 months ago

  • Duplicates Bug #39644: mgr/zabbix: ERROR: test_zabbix (tasks.mgr.test_module_selftest.TestModuleSelftest) added

#4 Updated by Sebastian Wagner 4 months ago

  • Status changed from New to In Progress
  • Assignee set to Sebastian Wagner

#5 Updated by Sebastian Wagner 4 months ago

  • Pull request ID set to 28213

#6 Updated by Ricardo Marques 2 months ago

  • Status changed from In Progress to Need Review

Also available in: Atom PDF